Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: projects.locations.dataStores.sessions.list
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
HTTP 要求
GET https://discoveryengine.googleapis.com/v1/{parent=projects/*/locations/*/dataStores/*}/sessions
這個網址使用 gRPC 轉碼語法。
路徑參數
| 參數 |
parent |
string
這是必要旗標,資料儲存庫資源名稱。格式:projects/{project}/locations/{location}/collections/{collection}/dataStores/{dataStoreId}
|
查詢參數
| 參數 |
pageSize |
integer
一頁的結果數上限,如未指定,預設值為 50。允許的最大值為 1000。
|
pageToken |
string
屬於接收自前一個 sessions.list 呼叫的網頁權杖。提供此項目即可擷取後續網頁。
|
filter |
string
以 EBNF 文法表示的欄位清單 (以半形逗號分隔),用於篩選。 支援的欄位如下:
user_pseudo_id
state
display_name
starred
is_pinned
labels
create_time
update_time
collaborativeProject
範例:
user_pseudo_id = some_id
display_name = "some_name"
starred = true
is_pinned=true AND (NOT labels:hidden)
create_time > "1970-01-01T12:00:00Z"
collaborativeProject =
"projects/123/locations/global/collections/default_collection/engines/"
"default_engine/collaborativeProjects/cp1"
|
orderBy |
string
以半形逗號分隔的欄位清單,用於排序,並以遞增順序排序。在欄位名稱後方使用「desc」表示遞減。 支援的欄位:
update_time
create_time
session_name
is_pinned
範例:
update_time desc
create_time
is_pinned desc,update_time desc:先依 is_pinned 列出工作階段,再依 update_time 列出。
|
回應主體
如果成功,回應主體會包含 ListSessionsResponse 的執行個體。
授權範圍
需要下列其中一種 OAuth 範圍:
https://www.googleapis.com/auth/cloud-platform
https://www.googleapis.com/auth/discoveryengine.assist.readwrite
https://www.googleapis.com/auth/discoveryengine.readwrite
https://www.googleapis.com/auth/discoveryengine.serving.readwrite
詳情請參閱Authentication Overview。
IAM 權限
需要 parent 資源的下列 IAM 權限:
discoveryengine.sessions.list
詳情請參閱 IAM 說明文件。
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2026-04-21 (世界標準時間)。
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["難以理解","hardToUnderstand","thumb-down"],["資訊或程式碼範例有誤","incorrectInformationOrSampleCode","thumb-down"],["缺少我需要的資訊/範例","missingTheInformationSamplesINeed","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2026-04-21 (世界標準時間)。"],[],[]]